searchNodes=[{"ref":"Math.html","title":"Math","type":"module","doc":"Mathematical functions and constants."},{"ref":"Math.html#<~>/2","title":"Math.<~>/2","type":"function","doc":"Equality-test for whether x and y are nearly equal. This is useful when working with floating-point numbers, as these introduce small rounding errors. Examples iex&gt; 2.3 - 0.3 == 2.0 false iex&gt; 2.3 - 0.3 &lt;~&gt; 2.0 true"},{"ref":"Math.html#acos/1","title":"Math.acos/1","type":"function","doc":"Computes the arc cosine of x. (expressed in radians)"},{"ref":"Math.html#acosh/1","title":"Math.acosh/1","type":"function","doc":"Computes the inverse hyperbolic cosine of x."},{"ref":"Math.html#asin/1","title":"Math.asin/1","type":"function","doc":"Computes the arc sine of x. (expressed in radians)"},{"ref":"Math.html#asinh/1","title":"Math.asinh/1","type":"function","doc":"Computes the inverse hyperbolic sine of x."},{"ref":"Math.html#atan/1","title":"Math.atan/1","type":"function","doc":"Computes the arc tangent of x. (expressed in radians)"},{"ref":"Math.html#atan2/2","title":"Math.atan2/2","type":"function","doc":"Computes the arc tangent given y and x. (expressed in radians) This variant returns the inverse tangent in the correct quadrant, as the signs of both x and y are known."},{"ref":"Math.html#atanh/1","title":"Math.atanh/1","type":"function","doc":"Computes the inverse hyperbolic tangent of x."},{"ref":"Math.html#cos/1","title":"Math.cos/1","type":"function","doc":"Computes the cosine of x. x is interpreted as a value in radians."},{"ref":"Math.html#cosh/1","title":"Math.cosh/1","type":"function","doc":"Computes the hyperbolic cosine of x (expressed in radians)."},{"ref":"Math.html#deg2rad/1","title":"Math.deg2rad/1","type":"function","doc":"Converts degrees to radians Examples iex&gt;Math.deg2rad(180) 3.141592653589793"},{"ref":"Math.html#e/0","title":"Math.e/0","type":"function","doc":"The mathematical constant ℯ (e)."},{"ref":"Math.html#exp/1","title":"Math.exp/1","type":"function","doc":"Calculates ℯ to the xth power."},{"ref":"Math.html#factorial/1","title":"Math.factorial/1","type":"function","doc":"Calculates the factorial of n: 1 2 3 ... n To make this function faster, values of n up to 1000 are precomputed at compile time. Examples iex&gt; Math.factorial(1) 1 iex&gt; Math.factorial(5) 120 iex&gt; Math.factorial(20) 2432902008176640000"},{"ref":"Math.html#gcd/2","title":"Math.gcd/2","type":"function","doc":"Calculates the Greatest Common divisor of two numbers. This is the largest positive integer that divides both a and b without leaving a remainder. Also see Math.lcm/2 Examples iex&gt; Math.gcd(2, 4) 2 iex&gt; Math.gcd(2, 3) 1 iex&gt; Math.gcd(12, 8) 4 iex&gt; Math.gcd(54, 24) 6 iex&gt; Math.gcd(-54, 24) 6"},{"ref":"Math.html#isqrt/1","title":"Math.isqrt/1","type":"function","doc":"Calculates the non-negative integer square root of x (rounded towards zero) Does not accept negative numbers as input. Examples iex&gt; Math.isqrt(100) 10 iex&gt; Math.isqrt(16) 4 iex&gt; Math.isqrt(65536) 256 iex&gt; Math.isqrt(10) 3"},{"ref":"Math.html#k_combinations/2","title":"Math.k_combinations/2","type":"function","doc":"Calculates the k-combinations of n. Examples iex&gt; Math.k_combinations(10, 2) 45 iex&gt; Math.k_combinations(5, 5) 1 iex&gt; Math.k_combinations(3, 4) 0"},{"ref":"Math.html#k_permutations/2","title":"Math.k_permutations/2","type":"function","doc":"Calculates the k-permutations of n. This is the number of distinct ways to create groups of size k from n distinct elements. Notice that n is the first parameter, for easier piping. Examples iex&gt; Math.k_permutations(10, 2) 90 iex&gt; Math.k_permutations(5, 5) 120 iex&gt; Math.k_permutations(3, 4) 0"},{"ref":"Math.html#lcm/2","title":"Math.lcm/2","type":"function","doc":"Calculates the Least Common Multiple of two numbers. This is the smallest positive integer that can be divided by both a by b without leaving a remainder. Also see Math.gcd/2 Examples iex&gt; Math.lcm(4, 6) 12 iex&gt; Math.lcm(3, 7) 21 iex&gt; Math.lcm(21, 6) 42"},{"ref":"Math.html#log/1","title":"Math.log/1","type":"function","doc":"Calculates the natural logarithm (base ℯ) of x. See also Math.e/0."},{"ref":"Math.html#log/2","title":"Math.log/2","type":"function","doc":"Calculates the base-b logarithm of x Note that variants for the most common logarithms exist that are faster and more precise. See also Math.log/1, Math.log2/1 and Math.log10/1. Examples iex&gt; Math.log(5, 5) 1.0 iex&gt; Math.log(20, 2) &lt;~&gt; Math.log2(20) true iex&gt; Math.log(20, 10) &lt;~&gt; Math.log10(20) true iex&gt; Math.log(2, 4) 0.5 iex&gt; Math.log(10, 4) 1.6609640474436813"},{"ref":"Math.html#log10/1","title":"Math.log10/1","type":"function","doc":"Calculates the common logarithm (base 10) of x. See also Math.log/2."},{"ref":"Math.html#log2/1","title":"Math.log2/1","type":"function","doc":"Calculates the binary logarithm (base 2) of x. See also Math.log/2."},{"ref":"Math.html#nth_root/2","title":"Math.nth_root/2","type":"function","doc":"Calculates the non-negative nth-root of x. Examples iex&gt; Math.nth_root(27, 3) 3.0 iex&gt; Math.nth_root(65536, 8) 4.0"},{"ref":"Math.html#pi/0","title":"Math.pi/0","type":"function","doc":"The mathematical constant π (pi). The ratio of a circle&#39;s circumference to its diameter. The returned number is a floating-point approximation (as π is irrational)"},{"ref":"Math.html#pow/2","title":"Math.pow/2","type":"function","doc":"Arithmetic exponentiation. Calculates x to the n -th power. When both x and n are integers and n is positive, returns an integer. When n is a negative integer, returns a float. When working with integers, the Exponentiation by Squaring algorithm is used, to allow for a fast and precise result. When one of the numbers is a float, returns a float by using erlang&#39;s :math.pow/2 function. It is possible to calculate roots by choosing n between 0.0 and 1.0 (To calculate the p -th-root, pass 1/p to the function) Examples iex&gt; Math.pow(2, 4) 16 iex&gt; Math.pow(2.0, 4) 16.0 iex&gt; Math.pow(2, 4.0) 16.0 iex&gt; Math.pow(5, 100) 7888609052210118054117285652827862296732064351090230047702789306640625 iex&gt; Math.pow(5.0, 100) 7.888609052210118e69 iex&gt; Math.pow(2, (1 / 2)) 1.4142135623730951"},{"ref":"Math.html#rad2deg/1","title":"Math.rad2deg/1","type":"function","doc":"Converts radians to degrees Examples iex&gt;Math.rad2deg(Math.pi) 180.0"},{"ref":"Math.html#sin/1","title":"Math.sin/1","type":"function","doc":"Computes the sine of x. x is interpreted as a value in radians."},{"ref":"Math.html#sinh/1","title":"Math.sinh/1","type":"function","doc":"Computes the hyperbolic sine of x (expressed in radians)."},{"ref":"Math.html#sqrt/1","title":"Math.sqrt/1","type":"function","doc":"Calculates the non-negative square root of x."},{"ref":"Math.html#tan/1","title":"Math.tan/1","type":"function","doc":"Computes the tangent of x (expressed in radians)."},{"ref":"Math.html#tanh/1","title":"Math.tanh/1","type":"function","doc":"Computes the hyperbolic tangent of x (expressed in radians)."},{"ref":"Math.html#tau/0","title":"Math.tau/0","type":"function","doc":"The mathematical constant τ (tau). The ratio of a circle&#39;s circumference to its radius. Defined as 2 * π, but preferred by some mathematicians. The returned number is a floating-point approximation (as τ is irrational)"},{"ref":"Math.html#t:x/0","title":"Math.x/0","type":"type","doc":""},{"ref":"Math.html#t:y/0","title":"Math.y/0","type":"type","doc":""},{"ref":"Math.AP.html","title":"Math.AP","type":"module","doc":"Support for arbitrary precision calculation of some math functions and constants."},{"ref":"Math.AP.html#e/1","title":"Math.AP.e/1","type":"function","doc":"Returns the mathematical constant ℯ rounded to the number of decimal digits passed in. Maximum number of decimal places is 1000. Default is 10 decimal places. Examples iex&gt; Math.AP.e #Decimal&lt;2.7182818285&gt; iex&gt; Math.AP.e(30) #Decimal&lt;2.718281828459045235360287471353&gt;"},{"ref":"Math.AP.html#pi/1","title":"Math.AP.pi/1","type":"function","doc":"Returns π rounded to the number of decimal digits passed in. Maximum number of decimal places is 1000. Default is 10 decimal places. Examples iex&gt; Math.AP.pi #Decimal&lt;3.1415926536&gt; iex&gt; Math.AP.pi 30 #Decimal&lt;3.141592653589793238462643383280&gt;"},{"ref":"Math.AP.html#sqrt/2","title":"Math.AP.sqrt/2","type":"function","doc":"Finds the square root of a number to a particular precision. Examples iex&gt; Math.AP.sqrt(2, 10) #Decimal&lt;1.414213562&gt; iex&gt; Math.AP.sqrt(2, 15) #Decimal&lt;1.41421356237310&gt;"},{"ref":"Math.AP.html#tau/1","title":"Math.AP.tau/1","type":"function","doc":"Returns tau rounded to the number of decimal digits passed in. Maximum number of decimal places is 1000. Default is 10 decimal places. Examples iex&gt; Math.AP.tau #Decimal&lt;6.2831853072&gt;"},{"ref":"Math.Enum.html","title":"Math.Enum","type":"module","doc":"Math.Enum defines Math-functions that work on any collection extending the Enumerable protocol. This means Maps, Lists, Sets, etc., and any custom collection types as well."},{"ref":"Math.Enum.html#mean/1","title":"Math.Enum.mean/1","type":"function","doc":"Calculates the mean of a collection of numbers. This is the sum, divided by the amount of elements in the collection. If the collection is empty, returns nil Also see Math.Enum.median/1 Examples iex&gt; Math.Enum.mean [1,2,3] 2.0 iex&gt; Math.Enum.mean 1..10 5.5 iex&gt; Math.Enum.mean [1,2,3,4,5, -100] -14.166666666666666 iex&gt; Math.Enum.mean [] nil"},{"ref":"Math.Enum.html#median/1","title":"Math.Enum.median/1","type":"function","doc":"Calculates the median of a given collection of numbers. If the collection has an odd number of elements, this will be the middle-most element of the (sorted) collection. If the collection has an even number of elements, this will be mean of the middle-most two elements of the (sorted) collection. If the collection is empty, returns nil Also see Math.Enum.mean/1 Examples iex&gt; Math.Enum.median [1,2,3] 2 iex&gt; Math.Enum.median 1..10 5.5 iex&gt; Math.Enum.median [1,2,3,4,5, -100] 2.5 iex&gt; Math.Enum.median [1,2] 1.5 iex&gt; Math.Enum.median [] nil"},{"ref":"Math.Enum.html#product/1","title":"Math.Enum.product/1","type":"function","doc":"Calculates the product, obtained by multiplying all elements in collection with eachother. Examples iex&gt; Math.Enum.product [1,2,3] 6 iex&gt; Math.Enum.product 1..10 3628800 iex&gt; Math.Enum.product [1,2,3,4,5, -100] -12000"}]